Motion - Bug Report 2005x 08x 14x 202757

BUG: Seg Fault with ffmpeg 0.4.8

[Thread debugging using libthread_db enabled]
[New Thread 1080705760 (LWP 21038)]
[0] Processing thread 0 - config file /etc/motion-3.2.2/motion.conf
[0] Processing config file /etc/motion/cam1.conf
[0] Processing config file /etc/motion/cam2.conf
[0] Processing config file /etc/motion/cam3.conf
[0] Processing config file /etc/motion/cam4.conf
[0] Processing config file /etc/motion/cam5.conf
[1] Thread is from /etc/motion/cam1.conf
[New Thread 1089100720 (LWP 21041)]
[2] Thread is from /etc/motion/cam2.conf
[New Thread 1097493424 (LWP 21042)]
[3] Thread is from /etc/motion/cam3.conf
[New Thread 1105886128 (LWP 21043)]
[4] Thread is from /etc/motion/cam4.conf
[New Thread 1114278832 (LWP 21044)]
[5] Thread is from /etc/motion/cam5.conf
[New Thread 1122671536 (LWP 21045)]
[New Thread 1131064240 (LWP 21046)]
[0] motion-httpd/3.2.2 running, accepting connections
[0] motion-httpd: waiting for data on port TCP 8080
[5] Thread started
[4] Thread started
[3] Thread started
[1] Thread started
[2] Thread started
[5] Started stream webcam server in port 8085
[3] Started stream webcam server in port 8083
[4] Started stream webcam server in port 8084
[1] Started stream webcam server in port 8081
[2] Started stream webcam server in port 8082
[3] File of type 32 saved to: /daten123/webcam/cam3/2005/08/14-timelaps.mpg
[4] File of type 32 saved to: /daten123/webcam/cam4/2005/08/14-timelaps.mpg

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1114278832 (LWP 21044)]
0x402322f7 in MPV_common_init_mmx () from /usr/lib/libavcodec.so.0.4.8

Test case

Environment

Motion version: 3.2.2
ffmpeg version: ffmpeg 0.4.8
Shared libraries: ffmpeg, mysql, postgresql
Server OS: Debian Sarge, kernel 2.6.8-1

-- WalterWalter - 14 Aug 2005

Follow up

I cannot reproduce this.

I have built a fresh ffmpeg-0.4.8 on my Fedora Core 2 machine. And Motion 3.2.2 runs fine saving mpeg1 files.

Did you mix up different versions of ffmpeg? Maybe you have more versions and headers and libs gets mixed. ffmpeg changes API all the time.

Note that ffmpeg-0.4.8 will not compile on gcc4 (e.g. Fedora Core 4).

-- KennethLavrsen - 14 Aug 2005

Fix record

You are right, with a fresh ffmpeg-0.4.8 it works. I took the libavcodec1 & libavcodec1-dev Packages from marillat. THX
Topic revision: r5 - 15 Aug 2005, KennethLavrsen
Copyright © 1999-2019 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Please do not email Kenneth for support questions (read why). Use the Support Requests page or join the Mailing List.
This website only use harmless session cookies. See Cookie Policy for details. By using this website you accept the use of these cookies.